package gosimpleconf

import (
	"log"
	"strconv"
)

func Bool(value string) bool {
	v, err := strconv.ParseBool(value)
	if err != nil {
		log.Printf("error parsing bool %v - %v\n", v, err)
		v = false
	}

	return v
}

func Int64(value string) int64 {
	v, err := strconv.ParseInt(value, 10, 64)
	if err != nil {
		log.Printf("error parsing int %v - %v\n", v, err)
		v = 0
	}

	return v
}

func Float64(value string) float64 {
	v, err := strconv.ParseFloat(value, 64)
	if err != nil {
		log.Printf("error parsing float %v - %v\n", v, err)
		v = 0.0
	}

	return v
}
