package gosimpleconf

import "testing"

func validateMap(t *testing.T, given map[string]string, expected map[string]string) {
	if given == nil {
		t.Errorf("given map was nil")
	}

	if expected == nil {
		t.Errorf("expected map was nil")
	}

	expectedLen := len(expected)
	givenLen := len(given)
	if expectedLen != givenLen {
		t.Errorf("size mismatch on maps - expected %v, given %v", expectedLen, givenLen)
	}

	for k, v := range expected {
		if v != given[k] {
			t.Errorf("incorrect value for key %v - expected %v, given %v", k, expected[k], given[k])
		}
	}
}
